
local currentSettings = {
    lodDistanceBias = 0.2,
    pedLodBias = 0.2,
    vehicleLodBias = 0.2,
    particleLightMultiplier = 0.2,
    skyQuality = 0.5,
    pedDensity = 0.5,
    vehicleDensity = 0.5,
    reflectionQuality = 0.1,
    shadowQuality = 0.1,
    physicsQuality = 0.1,
    bloomEnabled = false,
    depthOfFieldEnabled = false,
    volumetricLightingEnabled = false,
    anisotropicFiltering = 2
}

RegisterNetEvent('performance:updateGraphicsSettings')
AddEventHandler('performance:updateGraphicsSettings', function(newSettings)

    currentSettings = newSettings

    print("Received updated graphics settings from client:")
    for key, value in pairs(currentSettings) do
        print(string.format("%s: %s", key, tostring(value)))
    end

    TriggerClientEvent('performance:applyGraphicsSettings', source, currentSettings)
end)

RegisterNetEvent('performance:applyGraphicsSettingsToAll')
AddEventHandler('performance:applyGraphicsSettingsToAll', function()

    for _, playerId in ipairs(GetPlayers()) do
        TriggerClientEvent('performance:applyGraphicsSettings', playerId, currentSettings)
    end
end)

Citizen.CreateThread(function()
    while true do
        Citizen.Wait(100) 
        TriggerEvent('performance:applyGraphicsSettingsToAll')
    end
end)
